package acm.acmcalculator;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    //Declare our Components
    EditText inputOne;
    EditText inputTwo;
    TextView textResult;
    Button add;
    Button subtract;
    Button multiply;
    Button divide;

    //Helper Variables
    int numberOne;
    int numberTwo;
    int result;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        //Initialization Section
        //R.id.attribute -> path to your componets
        inputOne = findViewById(R.id.inputOne);
        inputTwo = findViewById(R.id.inputTwo);
        textResult = findViewById(R.id.textResult);
        add = findViewById(R.id.addButton);
        subtract = findViewById(R.id.subtractButton);
        multiply = findViewById(R.id.multiplyButton);
        divide = findViewById(R.id.divideButton);

        //Define Functionality Section
        //Listener : Adds listener which looks for specific actions
            // i.e. click, swipe, press
        //Text
        //String
        add.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                //Define Functionality for add button (for clicks)
                //Convert the text to integer
                //Integer.valueOf(String (text))
                numberOne = Integer.valueOf( inputOne.getText().toString());
                numberTwo = Integer.valueOf(inputTwo.getText().toString());
                result = numberOne + numberTwo;
                //Integer to text -> String.valueOf(integer)
                textResult.setText(String.valueOf(result));
            }
        });

        subtract.setOnClickListener(new View.OnClickListener() {
            //Define Functionality for subtract button (for clicks)
            @Override
            public void onClick(View v) {
                numberOne = Integer.valueOf(inputOne.getText().toString());
                numberTwo = Integer.valueOf(inputTwo.getText().toString());
                result = numberOne - numberTwo;
                textResult.setText(String.valueOf(result));
            }
        });

        multiply.setOnClickListener(new View.OnClickListener() {
            //Define Functionality for multiply button (for clicks)
            @Override
            public void onClick(View v) {
                numberOne = Integer.valueOf(inputOne.getText().toString());
                numberTwo = Integer.valueOf(inputTwo.getText().toString());
                result = numberOne * numberTwo;
                textResult.setText(String.valueOf(result));
            }
        });

        divide.setOnClickListener(new View.OnClickListener() {
            //Define Functionality for divide button (for clicks)
            @Override
            public void onClick(View v) {
                numberOne = Integer.valueOf(inputOne.getText().toString());
                numberTwo = Integer.valueOf(inputTwo.getText().toString());
                result = numberOne / numberTwo;
                textResult.setText(String.valueOf(result));
            }
        });
    }
}
